Lomax {VGAM} | R Documentation

## The Lomax Distribution

### Description

Density, distribution function, quantile function and random generation for the Lomax distribution with scale parameter `scale` and shape parameter `q`.

### Usage

    dlomax(x, scale = 1, shape3.q, log = FALSE)
    plomax(q, scale = 1, shape3.q, lower.tail = TRUE, log.p = FALSE)
    qlomax(p, scale = 1, shape3.q, lower.tail = TRUE, log.p = FALSE)
    rlomax(n, scale = 1, shape3.q)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`scale` | scale parameter.
`shape3.q` | shape parameter.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `lomax`, which is the VGAM family function for estimating the parameters by maximum likelihood estimation.

### Value

`dlomax` gives the density, `plomax` gives the distribution function, `qlomax` gives the quantile function, and `rlomax` generates random deviates.

### Note

The Lomax distribution is a special case of the 4-parameter generalized beta II distribution.

### Author(s)

T. W. Yee and Kai Huang

### References

Kleiber, C. and Kotz, S. (2003) Statistical Size Distributions in Economics and Actuarial Sciences, Hoboken, NJ, USA: Wiley-Interscience.

### See Also

`lomax`, `genbetaII`.

### Examples

    probs <- seq(0.1, 0.9, by = 0.1)
    max(abs(plomax(qlomax(p = probs, shape3.q =  1),
                   shape3.q = 1) - probs))  # Should be 0

    ## Not run:  par(mfrow = c(1, 2))
    x <- seq(-0.01, 5, len = 401)
    plot(x, dexp(x), type = "l", col = "black", ylab = "", ylim = c(0, 3),
         main = "Black is standard exponential, others are dlomax(x, shape3.q)")
    lines(x, dlomax(x, shape3.q = 1), col = "orange")
    lines(x, dlomax(x, shape3.q = 2), col = "blue")
    lines(x, dlomax(x, shape3.q = 5), col = "green")
    legend("topright", col = c("orange","blue","green"), lty = rep(1, 3),
           legend = paste("shape3.q =", c(1, 2, 5)))

    plot(x, pexp(x), type = "l", col = "black", ylab = "", las = 1,
         main = "Black is standard exponential, others are plomax(x, shape3.q)")
    lines(x, plomax(x, shape3.q = 1), col = "orange")
    lines(x, plomax(x, shape3.q = 2), col = "blue")
    lines(x, plomax(x, shape3.q = 5), col = "green")
    legend("bottomright", col = c("orange","blue","green"), lty = rep(1, 3),
           legend = paste("shape3.q =", c(1, 2, 5)))

    ## End(Not run)

[Package VGAM version 1.0-4 Index]